class UsersController < ApplicationController
  def new
    @user = User.new
  end
  
  def create
    @user = User.new(user_params)
    if @user.save
      @current_user = @user
      session[:user] = @user.id
      flash[:error] = 'Successful registration'
      redirect_to :action => :show
    else
      flash[:error] = 'User name already used'
      render action: :new
    end
  end

  def edit
    @user = User.new
    @user.id = 1
    @user.username = 'Valaki'
    @user.email = 'valaki@mail.bme.hu'
    @user.password = 'titok'
  end

  def index
    @user1 = User.new
    @user1.id = 1
    @user1.username = 'Valaki'
    @user2 = User.new
    @user2.id = 2
    @user2.username = 'Valakimas'
    @users = [ @user1, @user2 ]
  end

  def forgotten
    @user = User.new
  end
  
  def friend
  end
  
  def show
    @user = User.new
    @user.id = 1
    @user.username = 'Valaki'
    @user.email = 'valaki@mail.bme.hu'
    @user.password = 'titok'
  end

  private
    def user_params
      params.require(:user).permit(:password, :username, :email, :password_confirmation)
    end
  
end
