class Game < ActiveRecord::Base
  belongs_to :player1, class_name: 'User', foreign_key: 'player1'
  belongs_to :player2, class_name: 'User', foreign_key: 'player2'
  has_many :moves
  has_many :comments, as: :commentable
end
